--- /dev/null	Mon Aug  5 17:20:05 2019
+++ new/usr/src/test/nfsv4-tests/server/v4test.cfg	Mon Aug  5 17:20:05 2019
@@ -0,0 +1,124 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+
+#
+# Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+# NFSv4 test configuration file. 
+#   It lists test files/directories with different attributes
+#   in the server's exported filesystem for testing.
+#   All files are expected to be own by root:other (0:1)
+#
+
+# -----------------------------------------------------------
+# Test directories:
+#
+# DIR0777: a test directory with 0777 permission
+DIR0777=dir0777; export DIR0777
+
+# DIR0755: a test directory with 0755 permission
+DIR0755=dir0755; export DIR0755
+
+# DIR0711: a test directory with 0711 permission
+DIR0711=dir0711; export DIR0711
+
+# LARGEDIR: large directory many files and subdirs
+LARGEDIR=largedir; export LARGEDIR
+
+# LONGDIR: 20 level deep directory path
+LONGDIR=longdir/d2/d3/d4/d5/d6/d7/d8/d9/d10/d11/d12/d13/d14/d15/d16/d17/d18/d19/d20; export LONGDIR
+
+# DNOPERM: a directory with 0000 permission
+DNOPERM=dir_noperm; export DNOPERM
+
+# -----------------------------------------------------------
+# Test files:
+#
+# TEXTFILE: a test file with 0644 permission 
+TEXTFILE=testfile.txt; export TEXTFILE
+
+# EXECFILE: an exeutable file with 0755 permission
+EXECFILE=exe.file; export EXECFILE
+
+# RWFILE: a text file with 0666 permission
+RWFILE=rwfile; export RWFILE
+
+# RWGFILE: a text file with 0664 permission
+RWGFILE=rwgrpfile; export RWGFILE
+
+# ROFILE: a text file with 0444 permission
+ROFILE=rofile; export ROFILE
+
+# ROEMPTY: an empty file with 0444 permission
+ROEMPTY=ro-empty.file; export ROEMPTY
+
+# FNOPERM: a file with 0000 permission
+FNOPERM=file_noperm; export FNOPERM
+
+# ZIPFILE: a zip file with 0444 permission
+ZIPFILE=zipfile.zip; export ZIPFILE
+
+# -----------------------------------------------------------
+# Symbolic files (to file and directory):
+#
+# SYMLDIR: a symbolic link to a directory
+SYMLDIR=symldir; export SYMLDIR
+
+# SYMNOPD: a symbolic link to the $DNOPERM directory
+SYMNOPD=sym_noperm.dir; export SYMNOPD
+
+# SYMLFILE: the symbolic link to EXECFILE
+SYMLFILE=symlfile; export SYMLFILE
+
+# SYMNOPF: a file with 0000 permission
+SYMNOPF=sym_noperm.file; export SYMNOPF
+
+# -----------------------------------------------------------
+# Special files:
+#
+# BLKFILE: a block file with 0644 permission, major,minor=77,188
+BLKFILE=blkfile; export BLKFILE
+
+# CHARFILE: a char file with 0666 permission, major,minor=88,177
+CHARFILE=charfile; export CHARFILE
+
+# FIFOFILE: a FIFO file with 0664 permission
+FIFOFILE=fifofile; export FIFOFILE
+
+# -----------------------------------------------------------
+# Extended attribute files:
+#
+# ATTRFILE: a file with 0666 permission what has ext-attrs
+ATTRFILE=attrfile; export ATTRFILE
+ATTRFILE_AT1=attrf.1; export ATTRFILE_AT1
+ATTRFILE_AT2=attrf.2; export ATTRFILE_AT2
+ATFILE_NP=atfile_noperm; export ATFILE_NP
+
+# ATTRDIR: a dir with 0777 permission what has ext-attrs
+ATTRDIR=attrdir; export ATTRDIR
+ATTRDIR_AT1=attrd.1; export ATTRDIR_AT1
+ATTRDIR_AT2=attrd.2; export ATTRDIR_AT2
+ATDIR_NP=atdir_noperm; export ATDIR_NP
+
+
+# End of file
+# -----------------------------------------------------------
